[project]
name = "backend"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "alembic==1.13.0",
    "bcrypt==4.2.1",
    "black==24.8.0",
    "email-validator==2.1.0",
    "fastapi==0.128.0",
    "feedparser==6.0.11",
    "flake8==7.1.0",
    "pika==1.3.2",
    "passlib[bcrypt]==1.7.4",
    "praw==7.8.1",
    "pydantic==2.7.0",
    "pydantic-settings==2.3.0",
    "pytest==8.3.3",
    "python-multipart==0.0.9",
    "sqlalchemy==2.0.45",
    "textblob==0.17.1",
    "tweepy==4.14.0",
    "uvicorn[standard]==0.30.0",
    "vadersentiment==3.3.2",
]
